be.fgov.ehealth.technicalconnector.ra.enumaration

## Enum UsageType

- java.lang.Object
- - java.lang.Enum<UsageType>
  - - be.fgov.ehealth.technicalconnector.ra.enumaration.UsageType

- All Implemented Interfaces:
    Serializable, Comparable<UsageType>

      public enum UsageType
      extends Enum<UsageType>

  Enumeration of specific applications used by organisation requestor.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODAGE`
    `CONSULT_RN`
    `OTHER`
    `TIME_STAMPING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getServiceName()` The name of the service as known in AA and the database.
    `static UsageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UsageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIME_STAMPING

          public static final UsageType TIME_STAMPING

    - #### CONSULT_RN

          public static final UsageType CONSULT_RN

    - #### CODAGE

          public static final UsageType CODAGE

    - #### OTHER

          public static final UsageType OTHER

  - ### Method Detail

    - #### values

          public static UsageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UsageType c : UsageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UsageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getServiceName

          public String getServiceName()

      The name of the service as known in AA and the database.
      Returns:
        The service name

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.